View Issue Details

IDProjectCategoryView StatusLast Update
0000092CaseTalk ModelerGeneration (SQL, XML, etc)public2018-01-10 19:17
ReporterBCP Software 
Assigned ToBCP Software 
Status resolvedResolutionfixed 
Product Version6.10 
Target VersionFutureFixed in Version8.28 
Summary0000092: MsAccess value contraints rule problem
DescriptionMsAccess can contain rules to provide for value constraints. However the generated "or" does not compute by MsAccess.
Steps To ReproducePerhaps a more modern syntax should be used to support newer versions of msaccess.
TagsNo tags attached.
CaseTalk Edition



BCP Software

BCP Software

2018-01-10 16:51

administrator   ~0001070

a line may contain:
  fld.ValidationRule = "a" OR "b" or "c"
but more modern script syntax may require:
  fld.ValidationRule = "in (""a"", ""b"", ""c"")"

Issue History

Date Modified Username Field Change
2012-05-16 21:36 BCP Software New Issue
2012-05-16 21:36 BCP Software Status new => assigned
2012-05-16 21:36 BCP Software Assigned To => BCP Software
2012-11-05 16:35 BCP Software Category Model Generation => Generation
2016-01-20 12:56 BCP Software Category Generation => Generation (SQL, XML, etc)
2018-01-10 16:51 BCP Software Note Added: 0001070
2018-01-10 19:17 BCP Software Status assigned => resolved
2018-01-10 19:17 BCP Software Resolution open => fixed
2018-01-10 19:17 BCP Software Fixed in Version => 8.28